if [ $# = 0 ]; then
    echo "Hampath: Wrong usage. Try version hampathHome"
    exit
fi

hampathHome=$1

versionlocale=`cat $hampathHome/install/version/version.txt`
vl=`echo ${versionlocale} | sed "s/\([0-9]\)/\1./g"`
echo ""
echo "Installed version of HamPath: "${vl}
if hash curl 2>/dev/null; then
    adresseversion='http://cots.perso.math.cnrs.fr/hampath/resources/version.txt'
    testCurl=`curl -Is ${adresseversion} | head -n 1 | awk '{print $NF}' | cut -c1,2`
    case "${testCurl}" in
        "") ;;
        *) 
        if [ ${testCurl} = "OK" ]; then
            versionremote=`curl -s ${adresseversion}`
            diff=`expr ${versionremote} - ${versionlocale}`
            if [ ${diff} -gt 0 ]; then
                #adresseversiontext='http://cots.perso.math.cnrs.fr/hampath/resources/versiontext.txt'
                vr=`echo ${versionremote} | sed "s/\([0-9]\)/\1./g"`
echo ""
                echo "========= New version ${vr} available! ========="
echo ""
                echo "Visit http://cots.perso.math.cnrs.fr/hampath for more information on new release."
            else
                echo "Hampath is up to date!"
            fi
        fi;;
    esac
fi
echo ""
